Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs
adaptor.hpp File Reference

## Classes
struct | ranges::adaptor_base
struct | ranges::adaptor_cursor< BaseIter, Adapt >
struct | ranges::adaptor_cursor< BaseIter, Adapt >
struct | ranges::adaptor_sentinel< BaseSent, Adapt >
struct | ranges::base_adaptor_sentinel< BaseSent, Adapt >
struct | ranges::base_adaptor_sentinel< BaseSent, Adapt >
struct | ranges::view_adaptor< Derived, BaseRng, Cardinality >

## Typedefs
template<typename D >
using | ranges::adaptor_cursor_t = adaptor_cursor< detail::adapted_iterator_t< D >, detail::begin_adaptor_t< D > >
template<typename D >
using | ranges::adaptor_sentinel_t = meta::if_c< same_as< detail::adapted_iterator_t< D >, detail::adapted_sentinel_t< D > > &&same_as< detail::begin_adaptor_t< D >, detail::end_adaptor_t< D > >, adaptor_cursor_t< D >, adaptor_sentinel< detail::adapted_sentinel_t< D >, detail::end_adaptor_t< D > >>